<?php
/**
 * Plugin Name: Factora Addons
 * Plugin URI: http://grixbase.com/plugins/factora-addons.zip
 * Description: Extra elements for Visual Composer. It was built for Factora theme.
 * Version: 1.0.0
 * Author: Grixbase
 * Author URI: https://themeforest.net/user/grixbase
 * License: GPL2+
 * Text Domain: factora
 * Domain Path: /lang/
 */
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

if ( ! defined( 'FACTORA_ADDONS_DIR' ) ) {
	define( 'FACTORA_ADDONS_DIR', plugin_dir_path( __FILE__ ) );
}

if ( ! defined( 'FACTORA_ADDONS_URL' ) ) {
	define( 'FACTORA_ADDONS_URL', plugin_dir_url( __FILE__ ) );
}

require_once FACTORA_ADDONS_DIR . '/inc/visual-composer.php';
require_once FACTORA_ADDONS_DIR . '/inc/shortcodes.php';
require_once FACTORA_ADDONS_DIR . '/inc/portfolio.php';
require_once FACTORA_ADDONS_DIR . '/inc/testimonial.php';
require_once FACTORA_ADDONS_DIR . '/inc/services.php';
require_once FACTORA_ADDONS_DIR . '/inc/team.php';
require_once FACTORA_ADDONS_DIR . '/inc/socials.php';
require_once FACTORA_ADDONS_DIR . '/inc/widgets/widget.php';

if ( is_admin() ) {
	require_once FACTORA_ADDONS_DIR . '/inc/importer.php';
}

/**
 * Init
 */
function factora_vc_addons_init() {
	load_plugin_textdomain( 'factora', false, dirname( plugin_basename( __FILE__ ) ) . '/lang' );

	new Factora_VC;
	new Factora_Shortcodes;
	new Factora_Portfolio;
	new Factora_Services;
	new Factora_Team;
	new Factora_Testimonial;
}

add_action( 'after_setup_theme', 'factora_vc_addons_init', 20 );
