<?php
/**
 * Hooks for share socials
 *
 * @package Factora
 */

if ( ! function_exists( 'factora_addons_share_link_socials' ) ) :
	function factora_addons_share_link_socials( $socials, $title, $link, $media ) {
		$socials_html = '';
		if ( $socials ) {
			if ( in_array( 'facebook', $socials ) ) {
				$socials_html .= sprintf(
					'<li><a class="share-facebook factora-facebook" title="%s" href="http://www.facebook.com/sharer.php?u=%s&t=%s" target="_blank"><i class="social_facebook"></i></a></li>',
					esc_attr( $title ),
					urlencode( $link ),
					urlencode( $title )
				);
			}

			if ( in_array( 'twitter', $socials ) ) {
				$socials_html .= sprintf(
					'<li><a class="share-twitter factora-twitter" href="http://twitter.com/share?text=%s&url=%s" title="%s" target="_blank"><i class="social_twitter"></i></a></li>',
					urlencode( $title ),
					urlencode( $link ),
					esc_attr( $title )
				);
			}

			if ( in_array( 'pinterest', $socials ) ) {
				$socials_html .= sprintf(
					'<li><a class="share-pinterest factora-pinterest" href="http://pinterest.com/pin/create/button?media=%s&url=%s&description=%s" title="%s" target="_blank"><i class="social_pinterest"></i></a></li>',
					urlencode( $media ),
					urlencode( $link ),
					urlencode( $title ),
					esc_attr( $title )
				);
			}

			if ( in_array( 'instagram', $socials ) ) {
				$socials_html .= sprintf(
					'<li><a class="share-instagram factora-instagram" href="https://instagram.com/share?url=%s&text=%s" title="%s" target="_blank"><i class="social_instagram"></i></a></li>',
					urlencode( $link ),
					urlencode( $title ),
					esc_attr( $title )
				);
			}

			if ( in_array( 'linkedin', $socials ) ) {
				$socials_html .= sprintf(
					'<li><a class="share-linkedin factora-linkedin" href="http://www.linkedin.com/shareArticle?url=%s&title=%s" title="%s" target="_blank"><i class="social_linkedin"></i></a></li>',
					urlencode( $link ),
					urlencode( $title ),
					esc_attr( $title )
				);
			}

			if ( in_array( 'tumblr', $socials ) ) {
				$socials_html .= sprintf(
					'<li><a class="share-tumblr factora-tumblr" href="http://www.tumblr.com/share/link?url=%s" title="%s" target="_blank"><i class="social_tumblr"></i></a></li>',
					urlencode( $link ),
					esc_attr( $title )
				);
			}

			if ( in_array( 'vimeo', $socials ) ) {
				$socials_html .= sprintf(
					'<li><a class="share-vimeo factora-vimeo" href="http://www.vimeo.com/shareArticle?url=%s&title=%s" title="%s" target="_blank"><i class="social_vimeo"></i></a></li>',
					urlencode( $link ),
					urlencode( $title ),
					esc_attr( $title )
				);
			}

			if ( in_array( 'share', $socials ) ) {
				$socials_html .= sprintf(
					'<li><a class="share-share factora-share" href="http://www.share.com/shareArticle?url=%s&title=%s" title="%s" target="_blank"><i class="social_share"></i></a></li>',
					urlencode( $link ),
					urlencode( $title ),
					esc_attr( $title )
				);
			}
		}

		if ( $socials_html ) {
			return sprintf( '<ul class="factora-social_share socials-inline">%s</ul>', $socials_html );
		}
		?>
		<?php
	}

endif;

