<?php
vc_map(
	array(
		'name'     => esc_html__( 'Images Carousel', 'factora' ),
		'base'     => 'factora_images_carousel',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(

			array(
				'type'       => 'attach_images',
				'heading'    => esc_html__( 'Images', 'factora' ),
				'param_name' => 'images',
				'value'      => '',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Columns', 'factora' ),
				'param_name' => 'columns',
				'value'      => array(
					esc_html__( '1 Column', 'factora' )  => '1',
					esc_html__( '2 Columns', 'factora' ) => '2',
					esc_html__( '3 Columns', 'factora' ) => '3',
					esc_html__( '4 Columns', 'factora' ) => '4',
					esc_html__( '5 Columns', 'factora' ) => '5',
					esc_html__( '6 Columns', 'factora' ) => '6',
				),
			),
			array(
				'heading'     => esc_html__( 'Image size', 'factora' ),
				'description' => esc_html__( 'Enter image size. Example: "thumbnail", "medium", "large", "full" or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'factora' ),
				'type'        => 'textfield',
				'param_name'  => 'image_size',
				'value'       => '',
			),
			// Slide Option
			array(
				'type'             => 'checkbox',
				'heading'          => esc_html__( 'Show Nav', 'factora' ),
				'param_name'       => 'nav',
				'value'            => array( esc_html__( 'Yes', 'factora' ) => '1' ),
				'edit_field_class' => 'vc_col-xs-6',
				'group'            => esc_html__( 'Slide Option', 'factora' ),
			),
			array(
				'type'             => 'checkbox',
				'heading'          => esc_html__( 'Autoplay', 'factora' ),
				'param_name'       => 'autoplay',
				'value'            => array( esc_html__( 'Yes', 'factora' ) => '1' ),
				'edit_field_class' => 'vc_col-xs-6',
				'group'            => esc_html__( 'Slide Option', 'factora' ),
			),
			array(
				'type'             => 'textfield',
				'heading'          => esc_html__( 'Autoplay Speed', 'factora' ),
				'param_name'       => 'autoplay_speed',
				'value'            => 2000,
				'description'      => esc_html__( 'Autoplay Speed in milliseconds', 'factora' ),
				'edit_field_class' => 'vc_col-xs-6',
				'dependency'       => array(
					'element' => 'autoplay',
					'value'   => '1',
				),
				'group'            => esc_html__( 'Slide Option', 'factora' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'factora' ),
				'param_name'  => 'el_class',
				'value'       => '',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file . ', 'factora' ),
			),
		),
	)
);
vc_map(
	array(
		'name'     => esc_html__( 'Factora Social', 'factora' ),
		'base'     => 'factora_social',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Title', 'factora' ),
				'param_name'  => 'el_class',
				'value'       => '',
				'admin_label' => true,
			),

			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'factora' ),
				'param_name' => 'style',
				'value'      => array(
					esc_html__( 'Style 1', 'factora' ) => '1',
					esc_html__( 'Style 2', 'factora' ) => '2',
				),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Align', 'factora' ),
				'param_name' => 'align',
				'value'      => array(
					esc_html__( 'Left', 'factora' )   => 'left',
					esc_html__( 'Center', 'factora' ) => 'center',
					esc_html__( 'Right', 'factora' )  => 'right',
				),
			),

			array(
				'type'             => 'colorpicker',
				'heading'          => esc_html__( 'Color primary', 'factora' ),
				'param_name'       => 'color',
				'value'            => '',
				'edit_field_class' => 'vc_col-xs-6',
			),

			array(
				'type'       => 'param_group',
				'heading'    => esc_html__( 'List Social', 'factora' ),
				'value'      => '',
				'param_name' => 'setting',
				'params'     => array(
					array(
						'type'        => 'vc_link',
						'heading'     => esc_html__( 'Link Social(URL)', 'factora' ),
						'param_name'  => 'link',
						'value'       => '',
						'description' => esc_html__( 'Enter information social', 'factora' ),
					),

					array(
						'type'       => 'dropdown',
						'heading'    => esc_html__( 'Icon inside image', 'factora' ),
						'param_name' => 'icon',
						'value'      => array(
							esc_html__( 'Elengant Icon', 'factora' )    => 'elegant',
							esc_html__( 'SVG Icon', 'factora' )         => 'svg',
							esc_html__( 'Fontawesome Icon', 'factora' ) => 'awesome',
							esc_html__( 'Linear Icon', 'factora' )      => 'linear',
						),
					),

					array(
						'type'             => 'textfield',
						'heading'          => esc_html__( 'SVG Icon name', 'factora' ),
						'param_name'       => 'name_icon',
						'value'            => '',
						'dependency'       => array(
							'element' => 'icon',
							'value'   => 'svg',
						),
						'edit_field_class' => 'vc_col-xs-6',
					),

					array(
						'heading'     => esc_html__( 'Icon', 'factora' ),
						'description' => esc_html__( 'Pick an icon from library.', 'factora' ),
						'type'        => 'iconpicker',
						'param_name'  => 'icon_fontawesome',
						'value'       => 'fa fa-adjust',
						'settings'    => array(
							'emptyIcon'    => false,
							'iconsPerPage' => 4000,
						),
						'dependency'  => array(
							'element' => 'icon',
							'value'   => 'awesome',
						),
					),

					array(
						'heading'     => esc_html__( 'Eleganticons', 'factora' ),
						'description' => esc_html__( 'Select icon from library.', 'factora' ),
						'type'        => 'iconpicker',
						'param_name'  => 'eleganticons',
						'value'       => 'arrow-up-down',
						'settings'    => array(
							'emptyIcon'    => false,
							'iconsPerPage' => 4000,
							'type'         => 'eleganticons',
						),
						'dependency'  => array(
							'element' => 'icon',
							'value'   => 'elegant',
						),
					),

					array(
						'heading'     => esc_html__( 'Linearicons', 'factora' ),
						'description' => esc_html__( 'Select icon from library.', 'factora' ),
						'type'        => 'iconpicker',
						'param_name'  => 'linearicons',
						'value'       => 'icon-home',
						'settings'    => array(
							'emptyIcon'    => false,
							'iconsPerPage' => 4000,
							'type'         => 'linearicons',
						),
						'dependency'  => array(
							'element' => 'icon',
							'value'   => 'linear',
						),
					),
				),
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'factora' ),
				'param_name'  => 'el_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'factora' ),
				'group'       => esc_html__( 'Add class', 'factora' ),
			),
		),
	)
);

//Portfolio Attribute
vc_map(
	array(
		'name'     => esc_html__( 'Portfolio Attribute', 'factora' ),
		'base'     => 'factora_portfolio_attribute',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(
			array(
				'type'       => 'param_group',
				'heading'    => esc_html__( 'List Icons', 'factora' ),
				'value'      => '',
				'param_name' => 'attributes',
				'params'     => array(
					array(
						'type'        => 'textfield',
						'heading'     => esc_html__( 'Name', 'factora' ),
						'param_name'  => 'name',
						'value'       => '',
						'admin_label' => true,

					),
					array(
						'type'       => 'textfield',
						'heading'    => esc_html__( 'Value', 'factora' ),
						'param_name' => 'value',
						'value'      => '',

					),
				),

			),
			array(
				'type'       => 'attach_image',
				'heading'    => esc_html__( 'Background Images', 'factora' ),
				'param_name' => 'background_image',
				'value'      => '',
			),
			array(
				'heading'     => esc_html__( 'Background size', 'factora' ),
				'description' => esc_html__( 'Enter image size. Example: "thumbnail", "medium", "large", "full" or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'factora' ),
				'type'        => 'textfield',
				'param_name'  => 'background_size',
				'value'       => '',
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'factora' ),
				'param_name'  => 'el_class',
				'value'       => '',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file . ', 'factora' ),
			),
		)
	)
);

//Portfolio Carousel
vc_map(
	array(
		'name'     => esc_html__( 'Portfolio Carousel', 'factora' ),
		'base'     => 'factora_portfolio_carousel',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(

			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'factora' ),
				'param_name' => 'style',
				'value'      => array(
					esc_html__( 'Style 1', 'factora' ) => '1',
					esc_html__( 'Style 2', 'factora' ) => '2',
				),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'factora' ),
				'param_name'  => 'el_class',
				'value'       => '',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file . ', 'factora' ),
			),

			//Portfolio Setting

			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Number Items', 'factora' ),
				'param_name' => 'posts_per_page',
				'group'      => esc_html__( 'Portfolio Setting', 'factora' ),
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Number excerpt content', 'factora' ),
				'param_name'  => 'excerpt_content',
				'value'       => '10',
				'description' => esc_html__( 'Set 0 to hide content', 'factora' ),
				'group'       => esc_html__( 'Portfolio Setting', 'factora' ),
			),

			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order', 'factora' ),
				'param_name' => 'order',
				'value'      => array(
					esc_html__( 'DESC', 'factora' ) => 'DESC',
					esc_html__( 'ASC', 'factora' )  => 'ASC',
				),
				'group'      => esc_html__( 'Portfolio Setting', 'factora' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order by', 'factora' ),
				'param_name' => 'orderby',
				'value'      => array(
					esc_html__( 'None', 'factora' )   => 'none',
					esc_html__( 'Name', 'factora' )   => 'title',
					esc_html__( 'Random', 'factora' ) => 'ran',
					esc_html__( 'ID', 'factora' )     => 'id',
				),
				'group'      => esc_html__( 'Portfolio Setting', 'factora' ),
			),
			//slide setting
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Columns', 'factora' ),
				'param_name' => 'columns',
				'value'      => array(
					esc_html__( '4 Columns', 'factora' ) => '4',
					esc_html__( '3 Columns', 'factora' ) => '3',
					esc_html__( '2 Columns', 'factora' ) => '2',
					esc_html__( '1 Column', 'factora' )  => '1',
				),
				'group'      => esc_html__( 'Slide Setting', 'factora' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Nav', 'factora' ),
				'param_name' => 'nav',
				'value'      => array( esc_html__( 'Yes', 'factora' ) => '1' ),
				'group'      => esc_html__( 'Slide Setting', 'factora' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Dots', 'factora' ),
				'param_name' => 'dots',
				'value'      => array( esc_html__( 'Yes', 'factora' ) => '1' ),
				'group'      => esc_html__( 'Slide Setting', 'factora' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Autoplay', 'factora' ),
				'param_name'  => 'autoplay',
				'value'       => array( esc_html__( 'Yes', 'factora' ) => 'yes' ),
				'description' => esc_html__( 'If "YES" Enable autoplay', 'factora' ),
				'dependency'  => array(
					'element' => 'type',
				),
				'group'       => esc_html__( 'Slide Setting', 'factora' ),
			),


		),
	)
);

//Portfolio Masonry
vc_map(
	array(
		'name'     => esc_html__( 'Portfolio Masonry', 'factora' ),
		'base'     => 'factora_portfolio_masonry',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(

			//Portfolio Setting
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Number Items', 'factora' ),
				'param_name'  => 'posts_per_page',
				'description' => esc_html__( 'Insert number item you want to show', 'factora' ),
			),

			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Columns', 'factora' ),
				'param_name' => 'columns',
				'value'      => array(
					esc_html__( '4 Columns', 'factora' ) => '4',
					esc_html__( '3 Columns', 'factora' ) => '3',
					esc_html__( '2 Columns', 'factora' ) => '2',
					esc_html__( '1 Column', 'factora' )  => '1',
				),
				'dependency' => array(
					'element' => 'layout',
					'value'   => 'grid',
				),

			),

			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order', 'factora' ),
				'param_name' => 'order',
				'value'      => array(
					esc_html__( 'DESC', 'factora' ) => 'DESC',
					esc_html__( 'ASC', 'factora' )  => 'ASC',
				),

			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order by', 'factora' ),
				'param_name' => 'orderby',
				'value'      => array(
					esc_html__( 'None', 'factora' )   => 'none',
					esc_html__( 'Name', 'factora' )   => 'title',
					esc_html__( 'Random', 'factora' ) => 'ran',
					esc_html__( 'ID', 'factora' )     => 'id',
				),

			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'factora' ),
				'param_name'  => 'el_class',
				'value'       => '',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file . ', 'factora' ),
			),
		),
	)
);

//Service grid
vc_map(
	array(
		'name'     => esc_html__( 'Service Grid', 'factora' ),
		'base'     => 'factora_service_grid',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'factora' ),
				'param_name' => 'style',
				'value'      => array(
					esc_html__( 'Style 1', 'factora' ) => '1',
					esc_html__( 'Style 2', 'factora' ) => '2',
				),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'factora' ),
				'param_name'  => 'el_class',
				'value'       => '',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file . ', 'factora' ),
			),
			//Title Setting
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Title', 'factora' ),
				'param_name'  => 'title',
				'admin_label' => true,
				'dependency' => array(
					'element' => 'style',
					'value'   => '1',
				),
				'group'       => esc_html__( 'Title Setting', 'factora' ),
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Sub Title', 'factora' ),
				'param_name' => 'sub_title',
				'dependency' => array(
					'element' => 'style',
					'value'   => '1',
				),
				'group'      => esc_html__( 'Title Setting', 'factora' ),
			),

			array(
				'type'       => 'textarea_html',
				'heading'    => esc_html__( 'Description', 'factora' ),
				'param_name' => 'content',
				'value'      => '',
				'dependency' => array(
					'element' => 'style',
					'value'   => '1',
				),
				'group'      => esc_html__( 'Title Setting', 'factora' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Button View All', 'factora' ),
				'param_name' => 'view_all',
				'dependency' => array(
					'element' => 'style',
					'value'   => '1',
				),
				'value'      => array( esc_html__( 'Yes', 'factora' ) => '1' ),
				'group'      => esc_html__( 'Title Setting', 'factora' ),
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Text View All', 'factora' ),
				'param_name' => 'text_view_all',
				'value'      => '',
				'dependency' => array(
					'element' => 'view_all',
					'value'   => '1',
				),
				'group'      => esc_html__( 'Title Setting', 'factora' ),
			),
			//Service Setting

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Number Items', 'factora' ),
				'param_name'  => 'posts_per_page',
				'group'       => esc_html__( 'Service Setting', 'factora' ),
				'description' => esc_html__( 'Insert number item you want to show', 'factora' ),
			),

			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order', 'factora' ),
				'param_name' => 'order',
				'value'      => array(
					esc_html__( 'DESC', 'factora' ) => 'DESC',
					esc_html__( 'ASC', 'factora' )  => 'ASC',
				),
				'group'      => esc_html__( 'Service Setting', 'factora' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order by', 'factora' ),
				'param_name' => 'orderby',
				'value'      => array(
					esc_html__( 'None', 'factora' )   => 'none',
					esc_html__( 'Name', 'factora' )   => 'title',
					esc_html__( 'Random', 'factora' ) => 'ran',
					esc_html__( 'ID', 'factora' )     => 'id',
				),
				'group'      => esc_html__( 'Service Setting', 'factora' ),
			),

		),
	)
);

//Service icon
vc_map(
	array(
		'name'     => esc_html__( 'Service Icon', 'factora' ),
		'base'     => 'factora_service_icon',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'factora' ),
				'param_name' => 'style',
				'value'      => array(
					esc_html__( 'Style 1', 'factora' ) => '1',
					esc_html__( 'Style 2', 'factora' ) => '2',
				),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Columns', 'factora' ),
				'param_name' => 'items',
				'value'      => array(
					esc_html__( '4', 'factora' ) => '4',
					esc_html__( '3', 'factora' ) => '3',
					esc_html__( '2', 'factora' ) => '2',
				),

			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Post per page', 'factora' ),
				'param_name'  => 'posts_per_page',
				'value'       => '12',
				'description' => esc_html__( 'Set -1 to show all portfolio', 'factora' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Number excerpt content', 'factora' ),
				'param_name'  => 'excerpt_content',
				'value'       => '10',
				'description' => esc_html__( 'Set 0 to hide content', 'factora' ),

			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order', 'factora' ),
				'param_name' => 'order',
				'value'      => array(
					esc_html__( 'DESC', 'factora' ) => 'DESC',
					esc_html__( 'ASC', 'factora' )  => 'ASC',
				),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order by', 'factora' ),
				'param_name' => 'orderby',
				'value'      => array(
					esc_html__( 'None', 'factora' )   => 'none',
					esc_html__( 'Name', 'factora' )   => 'title',
					esc_html__( 'Random', 'factora' ) => 'ran',
					esc_html__( 'ID', 'factora' )     => 'id',
				),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'factora' ),
				'param_name'  => 'el_class',
				'value'       => '',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file . ', 'factora' ),
			),
		),
	)
);

//Brochure
vc_map(
	array(
		'name'     => esc_html__( 'Factora Brochure', 'factora' ),
		'base'     => 'factora_brochure',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Title', 'factora' ),
				'param_name'  => 'title',
				'admin_label' => true,
			),
			array(
				'type'       => 'param_group',
				'heading'    => esc_html__( 'List Button', 'factora' ),
				'value'      => '',
				'param_name' => 'list_button',
				'params'     => array(
					array(
						'type'        => 'textfield',
						'heading'     => esc_html__( 'Name Button', 'factora' ),
						'param_name'  => 'name_button',
						'admin_label' => true,
					),
					array(
						'type'       => 'vc_link',
						'heading'    => esc_html__( 'Link Button', 'factora' ),
						'param_name' => 'link',
						'value'      => '',
					)
				),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'factora' ),
				'param_name'  => 'el_class',
				'value'       => '',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file . ', 'factora' ),
			),
		),
	)
);

//Service Carousel
vc_map(
	array(
		'name'     => esc_html__( 'Service Carousel', 'factora' ),
		'base'     => 'factora_service_carousel',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(


			//Service Setting

			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Number Items', 'factora' ),
				'param_name' => 'posts_per_page',
				'group'      => esc_html__( 'Portfolio Setting', 'factora' ),
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Number excerpt content', 'factora' ),
				'param_name'  => 'excerpt_content',
				'value'       => '10',
				'description' => esc_html__( 'Set 0 to hide content', 'factora' ),
				'group'       => esc_html__( 'Portfolio Setting', 'factora' ),
			),

			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order', 'factora' ),
				'param_name' => 'order',
				'value'      => array(
					esc_html__( 'DESC', 'factora' ) => 'DESC',
					esc_html__( 'ASC', 'factora' )  => 'ASC',
				),
				'group'      => esc_html__( 'Portfolio Setting', 'factora' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order by', 'factora' ),
				'param_name' => 'orderby',
				'value'      => array(
					esc_html__( 'None', 'factora' )   => 'none',
					esc_html__( 'Name', 'factora' )   => 'title',
					esc_html__( 'Random', 'factora' ) => 'ran',
					esc_html__( 'ID', 'factora' )     => 'id',
				),
				'group'      => esc_html__( 'Portfolio Setting', 'factora' ),
			),

			//slide setting
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Columns', 'factora' ),
				'param_name' => 'columns',
				'value'      => array(
					esc_html__( '4 Columns', 'factora' ) => '4',
					esc_html__( '3 Columns', 'factora' ) => '3',
					esc_html__( '2 Columns', 'factora' ) => '2',
					esc_html__( '1 Column', 'factora' )  => '1',
				),
				'group'      => esc_html__( 'Slide Setting', 'factora' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Dots', 'factora' ),
				'param_name' => 'dots',
				'value'      => array( esc_html__( 'Yes', 'factora' ) => '1' ),
				'group'      => esc_html__( 'Slide Setting', 'factora' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Autoplay', 'factora' ),
				'param_name'  => 'autoplay',
				'value'       => array( esc_html__( 'Yes', 'factora' ) => 'yes' ),
				'description' => esc_html__( 'If "YES" Enable autoplay', 'factora' ),
				'dependency'  => array(
					'element' => 'type',
				),
				'group'       => esc_html__( 'Slide Setting', 'factora' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'factora' ),
				'param_name'  => 'el_class',
				'value'       => '',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file . ', 'factora' ),
				'group'       => esc_html__( 'Extra Class', 'factora' ),
			),
		),
	)
);

// Faq
vc_map(
	array(
		'name'     => esc_html__( 'Factora FAQ', 'factora' ),
		'base'     => 'factora_faq',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'factora' ),
				'param_name' => 'style',
				'value'      => array(
					esc_html__( 'Style 1', 'factora' ) => '1',
					esc_html__( 'Style 2', 'factora' ) => '2',
				),
			),

			array(
				'type'             => 'textfield',
				'heading'          => esc_html__( 'Active section', 'factora' ),
				'description'      => esc_html__( 'Enter active section number (Note: to have all sections closed on initial load enter non-existing number).', 'factora' ),
				'param_name'       => 'active',
				'value'            => '1',
				'edit_field_class' => 'vc_col-xs-6',
			),

			array(
				'type'             => 'textfield',
				'heading'          => esc_html__( 'Font size (px) for title', 'factora' ),
				'param_name'       => 'font_size',
				'value'            => '',
				'description'      => esc_html__( 'Set numbers Ex: 20, 22, 24, 30... ', 'factora' ),
				'edit_field_class' => 'vc_col-xs-6',
			),

			array(
				'type'       => 'param_group',
				'heading'    => esc_html__( 'List Faq', 'factora' ),
				'value'      => '',
				'param_name' => 'setting',
				'params'     => array(
					array(
						'heading'     => esc_html__( 'Question', 'factora' ),
						'type'        => 'textfield',
						'param_name'  => 'question',
						'admin_label' => true,
					),
					array(
						'heading'    => esc_html__( 'Answer', 'factora' ),
						'type'       => 'textarea',
						'param_name' => 'answer',
					),
				),
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'factora' ),
				'param_name'  => 'el_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'factora' ),
				'group'       => esc_html__( 'Add class', 'factora' ),
			),
		),
	)
);

//Team Carousel
vc_map(
	array(
		'name'     => esc_html__( 'Team Carousel', 'factora' ),
		'base'     => 'factora_team_carousel',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(


			//Service Setting

			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Number Items', 'factora' ),
				'param_name' => 'posts_per_page',
				'group'      => esc_html__( 'Team Setting', 'factora' ),
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Number excerpt content', 'factora' ),
				'param_name'  => 'excerpt_content',
				'value'       => '10',
				'description' => esc_html__( 'Set 0 to hide content', 'factora' ),
				'group'       => esc_html__( 'Team Setting', 'factora' ),
			),

			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order', 'factora' ),
				'param_name' => 'order',
				'value'      => array(
					esc_html__( 'DESC', 'factora' ) => 'DESC',
					esc_html__( 'ASC', 'factora' )  => 'ASC',
				),
				'group'      => esc_html__( 'Team Setting', 'factora' ),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order by', 'factora' ),
				'param_name' => 'orderby',
				'value'      => array(
					esc_html__( 'None', 'factora' )   => 'none',
					esc_html__( 'Name', 'factora' )   => 'title',
					esc_html__( 'Random', 'factora' ) => 'ran',
					esc_html__( 'ID', 'factora' )     => 'id',
				),
				'group'      => esc_html__( 'Team Setting', 'factora' ),

				array(
					'type'        => 'textfield',
					'heading'     => esc_html__( 'Extra class name', 'factora' ),
					'param_name'  => 'el_class',
					'value'       => '',
					'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file . ', 'factora' ),
					'group'      => esc_html__( 'Team Setting', 'factora' ),
				),
			),
			//slide setting
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Columns', 'factora' ),
				'param_name' => 'columns',
				'value'      => array(
					esc_html__( '4 Columns', 'factora' ) => '4',
					esc_html__( '3 Columns', 'factora' ) => '3',
					esc_html__( '2 Columns', 'factora' ) => '2',
					esc_html__( '1 Column', 'factora' )  => '1',
				),
				'group'      => esc_html__( 'Slide Setting', 'factora' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Nav', 'factora' ),
				'param_name' => 'nav',
				'value'      => array( esc_html__( 'Yes', 'factora' ) => '1' ),
				'group'      => esc_html__( 'Slide Setting', 'factora' ),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Show Dots', 'factora' ),
				'param_name' => 'dots',
				'value'      => array( esc_html__( 'Yes', 'factora' ) => '1' ),
				'group'      => esc_html__( 'Slide Setting', 'factora' ),
			),
			array(
				'type'        => 'checkbox',
				'heading'     => esc_html__( 'Autoplay', 'factora' ),
				'param_name'  => 'autoplay',
				'value'       => array( esc_html__( 'Yes', 'factora' ) => 'yes' ),
				'description' => esc_html__( 'If "YES" Enable autoplay', 'factora' ),
				'dependency'  => array(
					'element' => 'type',
				),
				'group'       => esc_html__( 'Slide Setting', 'factora' ),
			),
		),
	)
);

//Portfolio grid
vc_map(
	array(
		'name'     => esc_html__( 'Portfolio Grid', 'factora' ),
		'base'     => 'factora_portfolio_grid',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Section Title', 'factora' ),
				'param_name'  => 'title',
				'admin_label' => true,
			),

			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Items per row', 'factora' ),
				'param_name' => 'items',
				'value'      => array(
					esc_html__( '2 items', 'factora' ) => '2',
					esc_html__( '3 items', 'factora' ) => '3',
					esc_html__( '4 items', 'factora' ) => '4',
				),
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__( 'Portfolio categorized filter', 'factora' ),
				'param_name' => 'filter',
				'value'      => array( esc_html__( 'Yes', 'factora' ) => '1' ),
			),
			array(
				'type'        => 'textarea',
				'heading'     => esc_html__( 'Categories slug', 'factora' ),
				'param_name'  => 'slug_cate',
				'description' => esc_html__( 'Enter categories slug you want to display. Each slug is separated by comma character ",". If empty, it will display default', 'factora' ),
				'dependency'  => array(
					'element' => 'filter',
					'value'   => '1',
				),
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Post per page', 'factora' ),
				'param_name' => 'posts_per_page',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order', 'factora' ),
				'param_name' => 'order',
				'value'      => array(
					esc_html__( 'DESC', 'factora' ) => 'DESC',
					esc_html__( 'ASC', 'factora' )  => 'ASC',
				),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Order by', 'factora' ),
				'param_name' => 'orderby',
				'value'      => array(
					esc_html__( 'None', 'factora' )   => 'none',
					esc_html__( 'Name', 'factora' )   => 'title',
					esc_html__( 'Random', 'factora' ) => 'ran',
					esc_html__( 'ID', 'factora' )     => 'id',
				),
			),
		),
	)
);

vc_map(
	array(
		'name'     => esc_html__( 'Factora Partner', 'factora' ),
		'base'     => 'factora_partner',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(

			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'factora' ),
				'param_name' => 'style',
				'value'      => array(
					esc_html__( 'Grid', 'factora' )     => 'grid',
					esc_html__( 'Carousel', 'factora' ) => 'carousel',
				),
			),
			array(
				'type'       => 'param_group',
				'heading'    => esc_html__( 'List Images', 'factora' ),
				'value'      => '',
				'param_name' => 'images',
				'params'     => array(
					array(
						'type'       => 'attach_image',
						'heading'    => esc_html__( 'Image', 'factora' ),
						'param_name' => 'image',
						'value'      => '',
					),
					array(
						'type'        => 'vc_link',
						'heading'     => esc_html__( 'Link Social(URL)', 'factora' ),
						'param_name'  => 'link',
						'value'       => '',
						'description' => esc_html__( 'Enter information social', 'factora' ),
					),
				),
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Columns', 'factora' ),
				'param_name' => 'columns',
				'value'      => array(
					esc_html__( '1 Column', 'factora' )  => '1',
					esc_html__( '2 Columns', 'factora' ) => '2',
					esc_html__( '3 Columns', 'factora' ) => '3',
					esc_html__( '4 Columns', 'factora' ) => '4',
					esc_html__( '5 Columns', 'factora' ) => '5',
					esc_html__( '6 Columns', 'factora' ) => '6',
				),
				'dependency' => array(
					'element' => 'style',
					'value'   => 'carousel',
				),
			),
			array(
				'heading'     => esc_html__( 'Image size', 'factora' ),
				'description' => esc_html__( 'Enter image size. Example: "thumbnail", "medium", "large", "full" or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'factora' ),
				'type'        => 'textfield',
				'param_name'  => 'image_size',
				'value'       => '',
			),
			// Slide Option
			array(
				'type'             => 'checkbox',
				'heading'          => esc_html__( 'Show Nav', 'factora' ),
				'param_name'       => 'nav',
				'value'            => array( esc_html__( 'Yes', 'factora' ) => '1' ),
				'edit_field_class' => 'vc_col-xs-4',
				'group'            => esc_html__( 'Slide Option', 'factora' ),
				'dependency'       => array(
					'element' => 'style',
					'value'   => 'carousel',
				),
			),
			array(
				'type'             => 'checkbox',
				'heading'          => esc_html__( 'Autoplay', 'factora' ),
				'param_name'       => 'autoplay',
				'value'            => array( esc_html__( 'Yes', 'factora' ) => '1' ),
				'edit_field_class' => 'vc_col-xs-4',
				'group'            => esc_html__( 'Slide Option', 'factora' ),
				'dependency'       => array(
					'element' => 'style',
					'value'   => 'carousel',
				),
			),
			array(
				'type'             => 'textfield',
				'heading'          => esc_html__( 'Autoplay Speed', 'factora' ),
				'param_name'       => 'autoplay_speed',
				'value'            => 2000,
				'description'      => esc_html__( 'Autoplay Speed in milliseconds', 'factora' ),
				'edit_field_class' => 'vc_col-xs-6',
				'dependency'       => array(
					'element' => 'autoplay',
					'value'   => '1',
				),
				'group'            => esc_html__( 'Slide Option', 'factora' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'factora' ),
				'param_name'  => 'el_class',
				'value'       => '',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file . ', 'factora' ),
			),
		),
	)
);

vc_map(
	array(
		'name'     => esc_html__( 'Icons Box', 'factora' ),
		'base'     => 'factora_icon_box',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(

			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Style', 'factora' ),
				'param_name' => 'style',
				'value'      => array(
					esc_html__( 'Style 1', 'factora' ) => '1',
					esc_html__( 'Style 2', 'factora' ) => '2',
				),
			),

			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__( 'Icon', 'factora' ),
				'param_name' => 'icon_type',
				'value'      => array(
					esc_html__( 'SVG Icon', 'factora' )         => 'svg',
					esc_html__( 'Fontawesome Icon', 'factora' ) => 'awesome',
					esc_html__( 'Linear Icon', 'factora' )      => 'linear',
					esc_html__( 'Elegant Icon', 'factora' )     => 'elegant',
				),
			),

			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'SVG Icon name', 'factora' ),
				'param_name' => 'name_icon',
				'value'      => '',
				'dependency' => array(
					'element' => 'icon_type',
					'value'   => 'svg',
				),
			),

			array(
				'heading'     => esc_html__( 'Icon', 'factora' ),
				'description' => esc_html__( 'Pick an icon from library.', 'factora' ),
				'type'        => 'iconpicker',
				'param_name'  => 'icon_fontawesome',
				'value'       => 'fa fa-adjust',
				'settings'    => array(
					'emptyIcon'    => false,
					'iconsPerPage' => 4000,
				),
				'dependency'  => array(
					'element' => 'icon_type',
					'value'   => 'awesome',
				),
			),

			array(
				'heading'     => esc_html__( 'Linearicons', 'factora' ),
				'description' => esc_html__( 'Select icon from library.', 'factora' ),
				'type'        => 'iconpicker',
				'param_name'  => 'linearicons',
				'value'       => 'icon-home',
				'settings'    => array(
					'emptyIcon'    => false,
					'iconsPerPage' => 4000,
					'type'         => 'linearicons',
				),
				'dependency'  => array(
					'element' => 'icon_type',
					'value'   => 'linear',
				),
			),

			array(
				'heading'     => esc_html__( 'Eleganticons', 'factora' ),
				'description' => esc_html__( 'Select icon from library.', 'factora' ),
				'type'        => 'iconpicker',
				'param_name'  => 'eleganticons',
				'value'       => 'icon-home',
				'settings'    => array(
					'emptyIcon'    => false,
					'iconsPerPage' => 4000,
					'type'         => 'eleganticons',
				),
				'dependency'  => array(
					'element' => 'icon_type',
					'value'   => 'elegant',
				),
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Title', 'factora' ),
				'param_name'  => 'title',
				'value'       => '',
				'admin_label' => true,
			),

			array(
				'type'       => 'textarea_html',
				'heading'    => esc_html__( 'Description', 'factora' ),
				'param_name' => 'content',
				'value'      => '',
			),

			array(
				'type'       => 'vc_link',
				'heading'    => esc_html__( 'Link (URL)', 'factora' ),
				'param_name' => 'link',
				'value'      => '',
			),


			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name', 'factora' ),
				'param_name'  => 'el_class',
				'value'       => '',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file . ', 'factora' ),
			),
		),
	)
);

//Counter
vc_map(
	array(
		'name'     => esc_html__( 'Factora Counter', 'factora' ),
		'base'     => 'factora_counter',
		'class'    => '',
		'category' => esc_html__( 'Factora', 'factora' ),
		'params'   => array(

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Number', 'factora' ),
				'param_name'  => 'number',
				'description' => esc_html__( 'Enter number. Ex: 100, 200, 300)', 'factora' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Time delay', 'factora' ),
				'param_name'  => 'duration',
				'description' => esc_html__( 'Enter time delay for number. Ex: 1, 2, 3...(s)', 'factora' ),
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Text After', 'factora' ),
				'param_name' => 'text_after',
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Title', 'factora' ),
				'param_name' => 'title',
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__( 'Extra Class', 'factora' ),
				'param_name' => 'el_class',
				'value'      => '',
			),
		)
	)
);
