<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link    https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package factora
 */

get_header();
?>

    <div id="primary" class="content-area">
        <main id="main" class="site-main">

            <section class="error-404 not-found">
				<?php
				$image       = factora_get_option( '404_page_image' );
				$title       = factora_get_option( '404_page_title' );
				$description = factora_get_option( '404_page_description' );
				?>

				<?php if ( ! empty( $image ) ): ?>
                    <div class="image-box text-center">
                        <img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( $title ) ?>"/>
                    </div>
				<?php endif; ?>
                <h1 class="page-title"><?php echo esc_html( $title ); ?></h1>

                <div class="page-content">
                    <p class="description"><?php echo wp_kses( $description, wp_kses_allowed_html( 'post' ) ) ?></p>

                    <div class="search">
						<?php get_search_form(); ?>
                    </div>
                </div>
                <!-- .page-content -->
            </section>
            <!-- .error-404 -->

        </main>
        <!-- #main -->
    </div><!-- #primary -->

<?php
get_footer();
