<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Factora
 */

get_header();
?>

    <div id="primary" class="content-area archive-testimonial">
	    <?php do_action('factora_before_testimonial_list');?>
        <main id="main" class="site-main" role="main">
            <div id="factora_testimonial" class="testimonial-wrapper">
				<?php if ( have_posts() ) : ?>
				<?php while ( have_posts() ) : the_post(); ?>
					<?php
					/* Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */

					get_template_part( 'template-parts/content', 'testimonial' );
					?>
				<?php endwhile; ?>
            </div>
        <?php factora_load_pagination(); ?>
		<?php else : ?>
			<?php get_template_part( 'parts/content', 'none' ); ?>
		<?php endif; ?>
        </main><!-- #main -->
    </div><!-- #primary -->

<?php get_footer(); ?>
