<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Factora
 */
$blog_view = factora_get_option('blog_view');
$row = '';

if ($blog_view == 'grid'):
	$row ='row-flex';
endif;
get_header();
?>

	<div id="primary" class="content-area <?php factora_content_columns(); ?>">
		<?php do_action('factora_before_post_list');?>

		<main id="main" class="site-main">
			<div class="factora-post--wrapper">

				<div class="factora-post-list <?php echo esc_attr($row);?>">
					<div class="factora-post-list__loading">
						<div class="loading-inner">
							<div class="lds-ellipsis">
								<div></div><div></div>
							</div>
						</div>
					</div>
					<?php
					if ( have_posts() ) :

						while ( have_posts() ) :
							the_post();
							get_template_part( 'template-parts/content', get_post_type() );
						endwhile;

					else :
						get_template_part( 'template-parts/content', 'none' );
					endif;
					?>
				</div>

				<?php factora_load_pagination(); ?>
			</div>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_sidebar();
get_footer();
