<?php

function factora_load_pagination() {
	global $wp_query;

	if ( $wp_query->max_num_pages < 2 ) {
		return;
	}

	$view_more = ! empty( factora_get_option( 'text_load_blog' ) ) ? wp_kses( factora_get_option( 'text_load_blog' ), wp_kses_allowed_html( 'post' ) ) : esc_html__( 'Load more', 'factora' );
	$id        = "factora-blog-previous-ajax";
	if ( factora_is_portfolio() ) {
		$id = "factora-portfolio-previous-ajax";
	}
	if ( factora_is_testimonial() ) {
		$id = "factora-testimonial-previous-ajax";
	}
	if ( factora_is_service() ) {
		$id = "factora-service-previous-ajax";
	}

	?>
    <nav class="blog-navigation load-navigation">
        <div class="nav-links">
			<?php if ( get_next_posts_link() ) : ?>
                <div id="<?php echo esc_attr( $id ); ?>" class="nav-previous-ajax">
					<?php next_posts_link( $view_more ); ?>
                </div>
			<?php endif; ?>
        </div>
    </nav>
	<?php
}

/**
 * Display navigation to next/previous post when applicable.
 *
 * @since 1.0
 * @return void
 */
function factora_portfolio_nav() {
	if ( factora_get_option( 'portfolio_single_nav' ) == true ) {
		// Don't print empty markup if there's nowhere to navigate.
		$previous  = ( is_attachment() ) ? get_post( get_post()->post_parent ) : get_adjacent_post( false, '', true );
		$next      = get_adjacent_post( false, '', true );
		$name_prev = $previous->post_title;
		$name_next = '';
		if ( ! empty( get_next_post() ) ) {
			$name_next = get_the_title( get_next_post()->ID );
		}
		$link_all = ( get_post_type_archive_link( 'portfolio' ) );

		if ( ! $next && ! $previous ) {
			return;
		}
		?>
        <nav class="navigation post-navigation portfolio-navigation" role="navigation">
            <div class="nav-links clearfix">
				<?php
				previous_post_link( '<div class="nav-previous">%link</div>',
					_x( '<span class="arrow arrow_left"></span><span class="source">/</span><span class="meta-nav">' . $name_prev . ' ' . esc_html__( 'Project', 'factora' ) . '</span>', 'Previous post link', 'factora' ) );

				$text_link = esc_html__( 'All Project', 'factora' );
				if ( ! empty( factora_get_option( 'portfolio_single_project_text' ) ) ) {
					$text_link = factora_get_option( 'portfolio_single_project_text' );
				}
				if ( ! empty( factora_get_option( 'portfolio_single_project_link' ) ) ) {
					$link_all = factora_get_option( 'portfolio_single_project_link' );
				}
				echo sprintf( "<div class='nav-project'><a href='%s'>%s</a></div>", esc_url( $link_all ), esc_html( $text_link ) );

				next_post_link( '<div class="nav-next">%link</div>',
					_x( '<span class="meta-nav">' . $name_next . ' ' . esc_html__( 'Project', 'factora' ) . '</span><span class="source">/</span><span class="arrow arrow_right"></span>', 'Next post link', 'factora' ) );
				?>
            </div><!-- .nav-links -->
        </nav><!-- .navigation -->
		<?php
	}
}

?>