<?php
/**
 * Functions of stylesheets and CSS
 *
 * @package Factora
 */

if ( ! function_exists( 'factora_get_inline_style' ) ) :
	/**
	 * Get inline style data
	 */
	function factora_get_inline_style() {
		$css = '';

		// Topbar
		$topbar_bg    = factora_get_option( 'topbar_bg' );
		$topbar_color = factora_get_option( 'topbar_color' );
		$topbar_link_color = factora_get_option( 'topbar_color_link' );
		if ( ! empty( $topbar_bg ) ) {
			$css .= '.topbar ' . ' { background-color:' . $topbar_bg . '}';
		}

		if ( ! empty( $topbar_color ) ) {
			$css .= '.topbar {color:' . $topbar_color . '}';
		}

		if ( ! empty( $topbar_link_color ) ) {
			$css .= '
			.topbar a,
			.topbar .widget ul li a {color:' . $topbar_link_color . '}';
		}

		// Footer
		$footer_bg    = factora_get_option( 'footer_bg' );
		$footer_bg_color = factora_get_option( 'footer_bg_overlay' );
		if ( ! empty( $footer_bg ) ) {
			$css .= '.site-footer ' . ' {background-image: url(' . $footer_bg . ')}';
		}

		if ( ! empty( $footer_bg_color ) ) {
			$css .= '.footer-overlay ' . ' { background-color:' . $footer_bg_color . '}';
		}

		// Coming Soon
		$cm_background_bg = factora_get_option( 'coming_soon_background_image' );
		if ( ! empty( $cm_background_bg ) ) {
			$css .= '.page-template-template-coming-soon-page .site-content {background-image: url(' . $cm_background_bg . ')}';
		}

		/* Color Scheme */
		$color_scheme_option = factora_get_option( 'color_scheme' );
		if ( intval( factora_get_option( 'custom_color_scheme' ) ) ) {
			$color_scheme_option = factora_get_option( 'custom_color' );
		}
		// Don't do anything if the default color scheme is selected.
		if ( $color_scheme_option ) {
			$css .= factora_get_color_scheme_css( $color_scheme_option );
		}

		/* Typography */
		$css .= factora_typography_css();
		$css .= factora_get_heading_typography_css();

		return apply_filters( 'factora_inline_style', $css );
	}
endif;