/**
 * jQuery Tabs plugin 1.0.0
 *
 */
(function($) {
	$.fn.factora_countdown = function() {
		return this.each(function() {
			var $this = $(this),
				diff = $this.data('expire');

			var updateClock = function(distance) {
				var days = Math.floor(distance / (60 * 60 * 24));
				var hours = Math.floor((distance % (60 * 60 * 24)) / (60 * 60));
				var minutes = Math.floor((distance % (60 * 60)) / (60));
				var seconds = Math.floor(distance % 60);

				$this.html(
					'<div class="days timer"><div class="insite"> <span class="digits">' + (days < 10 ? '0' : '') + days + '</span><span class="text">' + factoraData.days + '</span></div></div>' +
					'<span class="divider">:</span>' +
					'<div class="hours timer"><div class="insite"><span class="digits">' + (hours < 10 ? '0' : '') + hours + '</span><span class="text">' + factoraData.hours + '</span></div></div>' +
					'<span class="divider">:</span>' +
					'<div class="minutes timer"><div class="insite"><span class="digits">' + (minutes < 10 ? '0' : '') + minutes + '</span><span class="text">' + factoraData.minutes + '</span></div></div>' +
					'<span class="divider">:</span>' +
					'<div class="seconds timer"><div class="insite"><span class="digits">' + (seconds < 10 ? '0' : '') + seconds + '</span><span class="text">' + factoraData.seconds + '</span></div></div>'
				);
			};

			updateClock(diff);

			var countdown = setInterval(function() {
				diff = diff - 1;

				updateClock(diff);

				if ( diff < 0 ) {
					clearInterval(countdown);
				}
			}, 1000);
		});
	};

	/* Init tabs */
	$(function() {
		$('.factora-time-countdown').factora_countdown();
	});
})(jQuery);