(function ($) {
    var factora = factora || {};
    factora.init = function () {
        factora.$body = $(document.body),
            factora.$window = $(window),
            factora.$header = $('#site-header')

        // Header
        this.toggleSearch();

        // Blog
        this.relatedBlogCarousel();
        this.blogLoadingAjax();
        this.blogFilterAjax();

        // Portfolio
        //this.portfolioLayout();
        this.portfolioLoadingAjax();
        this.portfolioFilterAjax();
        this.relatedPortfolio();

        this.serviceLoadingAjax();
        // Testimonial
        this.testimonialLoadingAjax();

        // Single Product
        this.singleProductCarousel();
        this.crossSellsProductCarousel();
        this.productThumbnail();
        this.productQuantity();

        // Cart
        this.clearToCartAjax();

        // Cart
        this.loginTab();

        // Back to top
        this.scrollTop();

        // Mobile menu
        this.mobileMenu();
        this.headerSearchMobile();

        // Video Popup Slider
        this.videoPopupSlider();

        // Header sticky
        this.stickyHeader();
    };

    factora.toggleSearch = function () {
        // Search toggle
        $('.factora-header-search').on('click', function (e) {
            e.preventDefault();
            $(this).closest('.menu-item-search').toggleClass('show-search');
        });
    };

    // Carousel Blog
    factora.relatedBlogCarousel = function () {
        factora.$body.find('.factora-post__related')
        {
            var $id = $('#factora-post__related'),
                num = $id.data('number'),
                $item = $id.find('.list-post');

            $item.not('.slick-initialized').slick({
                infinite: true,
                arrows: true,
                dots: false,
                slidesToShow: num,
                slidesToScroll: 1,
                autoplay: false,
                autoplaySpeed: 2000,
                prevArrow: '<div class="left-arrow"><i class="icon-chevron-left"></i></div>',
                nextArrow: '<div class="right-arrow"><i class="icon-chevron-right"></i></div>',
                responsive: [
                    {
                        breakpoint: 1024,
                        settings: {
                            slidesToShow: 3,
                            slidesToScroll: 1,
                            infinite: true,
                        }
                    },
                    {
                        breakpoint: 992,
                        settings: {
                            slidesToShow: 2,
                            slidesToScroll: 1
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            arrows: false,
                            slidesToShow: 1,
                            slidesToScroll: 1,
                            dots: true
                        }
                    }
                ]
            });

        }
    };
    factora.portfolioLayout = function () {

        var $portfolioList = $('#factora_portfolio_grid'),
            options = {
                itemSelector: '.portfolio-wrapper',
                layoutMode: 'fitRows'
            };

        if (factora.$body.hasClass('portfolio-masonry')) {
            options = {
                itemSelector: '.portfolio-wrapper',
                layoutMode: 'masonry',
                masonry: {
                    columnWidth: '.portfolio-sizer',
                    gutter: '.gutter-sizer'
                }
            };
        }

        $portfolioList.imagesLoaded(function () {
            $portfolioList.isotope(options);
        });

        $('#portfolio-cats-filters').on('click', '.button', function () {
            var filterValue = $(this).attr('data-filter');

            $portfolioList.isotope({filter: filterValue});
        });

        $('.button-group').each(function (i, buttonGroup) {
            var $buttonGroup = $(buttonGroup);
            $buttonGroup.on('click', 'span', function () {
                $buttonGroup.find('.active').removeClass('active');
                $(this).closest('.button-group').find('span').removeClass('selected');
                $(this).addClass('active');
            });
        });

    };

    // Loading Blog
    factora.blogLoadingAjax = function () {

        factora.$body.on('click', '#factora-blog-previous-ajax a', function (e) {
            e.preventDefault();

            if ($(this).data('requestRunning')) {
                return;
            }

            $(this).data('requestRunning', true);

            var $posts = $(this).closest('.site-main'),
                $postList = $posts.find('.factora-post-list'),
                $pagination = $(this).parents('.blog-navigation'),
                $parent = $(this).parent();

            $parent.addClass('loading');

            $.get(
                $(this).attr('href'),
                function (response) {
                    var content = $(response).find('.factora-post-list').children('.blog-wrapper'),
                        $pagination_html = $(response).find('.blog-navigation').html();

                    $pagination.html($pagination_html);

                    $postList.append(content);
                    $pagination.find('a').data('requestRunning', false);
                    $parent.addClass('loading');
                    content.addClass('animated facFadeInUp');

                }
            );
        });
    };

    // Filter Ajax
    factora.blogFilterAjax = function () {

        factora.$body.find('#factora-taxs-list').on('click', 'a', function (e) {
            e.preventDefault();
            $(this).closest('ul').find('a').removeClass('selected');
            $(this).addClass('selected');
            var url = $(this).attr('href');
            factora.$body.trigger('factora_blog_filter_ajax', url, $(this));
        });

        factora.$body.on('factora_blog_filter_ajax', function (e, url) {

            var $container = $('.factora-post--wrapper'),
                $categories = $('#factora-taxs-list');

            $('.factora-post-list__loading').addClass('show');

            if ('?' == url.slice(-1)) {
                url = url.slice(0, -1);
            }

            url = url.replace(/%2C/g, ',');

            history.pushState(null, null, url);

            if (factora.ajaxXHR) {
                factora.ajaxXHR.abort();
            }

            factora.ajaxXHR = $.get(url, function (res) {

                $container.replaceWith($(res).find('.factora-post--wrapper'));
                $categories.html($(res).find('#factora-taxs-list').html());

                factora.blogLoadingAjax();
                $('.factora-post-list__loading').removeClass('show');
                $('.blog-wrapper').addClass('animated facFadeInUp');

                factora.$body.trigger('factora_ajax_filter_request_success', [res, url]);

            }, 'html');
        });
    };
    /**
     * Portfolio ajax
     */
    factora.portfolioLoadingAjax = function () {

        factora.$body.on('click', '#factora-portfolio-previous-ajax a', function (e) {
            e.preventDefault();

            if ($(this).data('requestRunning')) {
                return;
            }

            $(this).data('requestRunning', true);

            var $posts = $(this).closest('.site-main'),
                $postList = $posts.find('.content-wrapper'),
                $pagination = $(this).parents('.blog-navigation'),
                $parent = $(this).parent();

            $parent.addClass('loading');

            $.get(
                $(this).attr('href'),
                function (response) {
                    var content = $(response).find('.content-wrapper').children('.portfolio-wrapper'),
                        $pagination_html = $(response).find('.blog-navigation').html();

                    $pagination.html($pagination_html);

                    $postList.append(content);
                    $pagination.find('a').data('requestRunning', false);
                    content.addClass('animated facFadeInUp');

                }
            );
        });
    };

    factora.serviceLoadingAjax = function () {

        factora.$body.on('click', '#factora-service-previous-ajax a', function (e) {
            e.preventDefault();

            if ($(this).data('requestRunning')) {
                return;
            }

            $(this).data('requestRunning', true);

            var $posts = $(this).closest('.site-main'),
                $postList = $posts.find('.content-service-wrapper'),
                $pagination = $(this).parents('.blog-navigation'),
                $parent = $(this).parent();

            $parent.addClass('loading');

            $.get(
                $(this).attr('href'),
                function (response) {
                    var content = $(response).find('.content-service-wrapper').children('.service-wrapper'),
                        $pagination_html = $(response).find('.blog-navigation').html();

                    $pagination.html($pagination_html);

                    $postList.append(content);
                    $pagination.find('a').data('requestRunning', false);
                    content.addClass('animated facFadeInUp');
                }
            );
        });
    };

    // Filter Ajax
    factora.portfolioFilterAjax = function () {

        factora.$body.find('#filters').on('click', '.button', function (e) {
            e.preventDefault();
            $(this).closest('.portfolio-grid-header').find('span').removeClass('active');
            $(this).addClass('active');
            var url = $(this).attr('href');
            factora.$body.trigger('factora_portfolio_filter_ajax', url, $(this));
            $('#factora_portfolio_grid').find('.portfolio-item').remove();

        });

        factora.$body.on('factora_portfolio_filter_ajax', function (e, url) {

            var $container = $('.content-wrapper'),
                $categories = $('#filters');

            $('.factora-post-list__loading').addClass('show');

            if ('?' == url.slice(-1)) {
                url = url.slice(0, -1);
            }

            url = url.replace(/%2C/g, ',');

            history.pushState(null, null, url);

            if (factora.ajaxXHR) {
                factora.ajaxXHR.abort();
            }

            factora.ajaxXHR = $.get(url, function (res) {

                $container.parent().replaceWith($(res).find('.site-main'));

                $categories.html($(res).find('#filters').html());

                factora.portfolioLoadingAjax();

                $('.factora-post-list__loading').removeClass('show');
                $('.portfolio-wrapper').addClass('animated facFadeInUp');

                factora.$body.trigger('factora_ajax_filter_request_success', [res, url]);

            }, 'html');
        });
    };

    factora.relatedPortfolio = function () {

        $('#factora-portfolio-related').not('.slick-initialized').slick({
            infinite: true,
            arrows: true,
            dots: false,
            prevArrow: '.factora-left-arrow',
            nextArrow: '.factora-right-arrow',
            slidesToShow: 3,
            slidesToScroll: 3,
            responsive: [
                {
                    breakpoint: 768,
                    settings: {
                        arrows: false,
                        dots: false,
                        slidesToShow: 2,
                        slidesToScroll: 2
                    }
                },
                {
                    breakpoint: 480,
                    settings: {
                        arrows: false,
                        dots: true,
                        slidesToShow: 1,
                        slidesToScroll: 1
                    }
                }
            ]
        });
    };

    // Loading Testimonial
    factora.testimonialLoadingAjax = function () {

        factora.$body.on('click', '#factora-testimonial-previous-ajax a', function (e) {
            e.preventDefault();

            if ($(this).data('requestRunning')) {
                return;
            }

            $(this).data('requestRunning', true);

            var $wrapper = $(this).closest('.site-main'),
                $testimonialList = $wrapper.find('.testimonial-wrapper'),
                $pagination = $(this).parents('.blog-navigation'),
                $parent = $(this).parent();

            $parent.addClass('loading');

            $.get(
                $(this).attr('href'),
                function (response) {
                    var content = $(response).find('.testimonial-wrapper').children('.testimonial-item'),
                        $pagination_html = $(response).find('.blog-navigation').html();

                    $pagination.html($pagination_html);

                    $testimonialList.append(content);
                    $pagination.find('a').data('requestRunning', false);
                    $parent.addClass('loading');
                    content.addClass('animated facFadeInUp');

                }
            );
        });
    };

    /**
     * Related & upsell slider
     */
    factora.singleProductCarousel = function () {

        if (!factora.$body.hasClass('single-product')) {
            return;
        }

        var $upsells = factora.$body.find('#factora-upsells-products'),
            $related = factora.$body.find('#factora-related-products');

        if ($related.length > 0) {
            var $related_products = $related.find('.products'),
                $related_columns = $related.data('columns');
            factora.productsCarousel($related_products, $related_columns);
        }


        if ($upsells.length > 0) {
            var $upsells_products = $upsells.find('.products'),
                $upsells_columns = $upsells.data('columns');
            factora.productsCarousel($upsells_products, $upsells_columns);
        }
    };

    /**
     * Related & upsell slider
     */
    factora.crossSellsProductCarousel = function () {

        var $crossSells = factora.$body.find('#factora-cross-sells-products');

        if ($crossSells.length < 1) {
            return;
        }

        var $products = $crossSells.find('.products'),
            $columns = $crossSells.data('columns');

        factora.productsCarousel($products, $columns);

    };

    factora.productsCarousel = function ($products, columns) {
        $products.not('.slick-initialized').slick({
            slidesToShow: parseInt(columns),
            slidesToScroll: parseInt(columns),
            arrows: true,
            infinite: false,
            prevArrow: '<span class="icon-chevron-left slick-prev-arrow"></span>',
            nextArrow: '<span class="icon-chevron-right slick-next-arrow"></span>',
            responsive: [
                {
                    breakpoint: 1367,
                    settings: {
                        slidesToShow: parseInt(columns),
                        slidesToScroll: parseInt(columns),
                        arrows: false
                    }
                },
                {
                    breakpoint: 1200,
                    settings: {
                        slidesToShow: parseInt(columns) > 4 ? 4 : parseInt(columns),
                        slidesToScroll: parseInt(columns) > 4 ? 4 : parseInt(columns),
                        arrows: false
                    }
                },
                {
                    breakpoint: 992,
                    settings: {
                        slidesToShow: 3,
                        slidesToScroll: 3,
                        arrows: false
                    }
                },
                {
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 2,
                        arrows: false,
                        dots: false
                    }
                }
            ]
        });
    };

    /**
     * Change product thumbnail
     */
    factora.productThumbnail = function () {
        var $gallery = $('.woocommerce-product-gallery'),
            $thumbnail = $gallery.find('.flex-control-thumbs');

        $gallery.imagesLoaded(function () {
            setTimeout(function () {
                if ($thumbnail.length < 1) {
                    return;
                }
                var count = $thumbnail.find('li').length;

                if (count > 3) {
                    $thumbnail.not('.slick-initialized').slick({
                        slidesToShow: 3,
                        slidesToScroll: 1,
                        infinite: false,
                        prevArrow: '<span class="icon-chevron-left slick-prev-arrow"></span>',
                        nextArrow: '<span class="icon-chevron-right slick-next-arrow"></span>'
                    });
                } else {
                    $thumbnail.addClass('no-slick');
                }

            }, 100);

        });
    };

    /**
     * Change product quantity
     */
    factora.productQuantity = function () {
        factora.$body.on('click', '.quantity .increase, .quantity .decrease', function (e) {
            e.preventDefault();

            var $this = $(this),
                $qty = $this.siblings('.qty'),
                current = parseInt($qty.val(), 10),
                min = parseInt($qty.attr('min'), 10),
                max = parseInt($qty.attr('max'), 10);

            min = min ? min : 1;
            max = max ? max : current + 1;

            if ($this.hasClass('decrease') && current > min) {
                $qty.val(current - 1);
                $qty.trigger('change');
            }
            if ($this.hasClass('increase') && current < max) {
                $qty.val(current + 1);
                $qty.trigger('change');
            }
        });
    };

    /**
     * Clear Cart
     */
    factora.clearToCartAjax = function () {
        var found = false;
        factora.$body.on('click', '#clear-cart', function (e) {
            var $el = $(this),
                $cartForm = $el.closest('form.woocommerce-cart-form');

            if ($cartForm.length > 0) {
                e.preventDefault();
            } else {
                return;
            }

            $el.addClass('loading');

            if (found) {
                return;
            }

            var currentURL = window.location.href;

            $.ajax({
                url: factoraData.ajax_url,
                method: 'post',
                data: {
                    action: 'factora_clear_cart',
                    nonce: factoraData.nonce,
                    data: true
                },
                success: function () {
                    window.location = currentURL;

                }
            });

        });

    };

    // Login Page
    factora.loginTab = function () {
        var $tabs = $('.ft-tabs');
        $tabs.each(function () {
            var $el = $(this).find('.tabs-nav a'),
                $panels = $(this).find('.tabs-panel');

            $el.on('click', function (e) {
                e.preventDefault();

                var $tab = $(this),
                    index = $tab.parent().index();

                if ($tab.hasClass('active')) {
                    return;
                }

                $tabs.find('.tabs-nav a').removeClass('active');
                $tab.addClass('active');
                $panels.removeClass('active');
                $panels.filter(':eq(' + index + ')').addClass('active');
            });
        });

    };

    // Scroll Top
    factora.scrollTop = function () {
        var $scrollTop = $('#scroll-top');
        factora.$window.scroll(function () {
            if (factora.$window.scrollTop() > factora.$window.height()) {
                $scrollTop.addClass('show-scroll');
            } else {
                $scrollTop.removeClass('show-scroll');
            }
        });

        // Scroll effect button top
        $scrollTop.on('click', function (event) {
            event.preventDefault();
            $('html, body').stop().animate({
                    scrollTop: 0
                },
                800
            );
        });
    };

    // Mobile Menu
    factora.mobileMenu = function () {
        var $mobileMenu = $('#primary-mobile-nav');
        factora.$header.on('click', '#factora-navbar-toggle', function (e) {
            e.preventDefault();
            $mobileMenu.toggleClass('open');
            factora.$body.toggleClass('open-canvas-panel');
        });

        $mobileMenu.find('.menu .menu-item-has-children > a').prepend('<span class="toggle-menu-children"></span>');

        $mobileMenu.on('click', '.menu-item-has-children > a, .menu-item-has-children > span', function (e) {
            e.preventDefault();
            openSubMenus($(this));
        });

        $mobileMenu.on('click', '.close-canvas-mobile-panel', function (e) {
            e.preventDefault();
            factora.$body.removeClass('open-canvas-panel');
            $('#primary-mobile-nav').removeClass('open');
        });

        $('#off-canvas-layer').on('click', function (e) {
            e.preventDefault();
            factora.$body.removeClass('open-canvas-panel');
            $('#primary-mobile-nav').removeClass('open');
        });

        factora.$window.on('resize', function () {
            if (factora.$window.width() > 1200) {
                if ($mobileMenu.hasClass('open')) {
                    $mobileMenu.removeClass('open');
                    factora.$body.removeClass('open-canvas-panel');
                }
            }
        });

        function openSubMenus($menu) {
            $menu.closest('li').siblings().find('ul').slideUp();
            $menu.closest('li').siblings().removeClass('active');
            $menu.closest('li').siblings().find('li').removeClass('active');

            $menu.closest('li').children('ul').slideToggle();
            $menu.closest('li').toggleClass('active');
        }

    };

    factora.headerSearchMobile = function () {
        if (factora.$header.find('.header-search-content-form').length < 1) {
            return;
        }
        factora.$window.on('resize', function () {
            if (factora.$window.width() < 991) {
                factora.$header.find(".header-search-content-form").attr('class', 'header-search-content');
            } else {
                factora.$header.find(".header-search-content").attr('class', 'header-search-content-form');
            }
        }).trigger('resize');
    };

    // Video Popup Slider
    factora.videoPopupSlider = function () {
        $('.popup-youtube, .popup-vimeo, .popup-gmaps').magnificPopup({
            disableOn: 700,
            type: 'iframe',
            mainClass: 'mfp-fade',
            removalDelay: 160,
            preloader: false,

            fixedContentPos: false
        });
    };

    // Sticky Header
    factora.stickyHeader = function () {
        if (!factora.$body.hasClass('header-sticky')) {
            return;
        }

        factora.$window.on('scroll', function () {
            var scrollTop = 20,
                scroll = factora.$window.scrollTop(),
                hHeader = factora.$header.outerHeight(true),
                hTopBar = $('.topbar').outerHeight(true);

            scrollTop = scrollTop + hHeader + hTopBar;

            if (scroll > scrollTop) {
                factora.$header.addClass('minimized');
                $('#factora-header-minimized').addClass('minimized');
            } else {
                factora.$header.removeClass('minimized');
                $('#factora-header-minimized').removeClass('minimized');
            }
        });

        factora.$window.on('resize', function () {
            var hHeader = factora.$header.outerHeight(true),
                $h = $('#factora-header-minimized');

            if (!factora.$body.hasClass('header-transparent')) {
                $h.height(hHeader);
            }
        }).trigger('resize');
    };

    /**
     * Document ready
     */
    $(function () {
        factora.init();
    });

})(jQuery);