<?php
/**
 * The sidebar containing the main widget area
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Factora
 */

if ( factora_get_layout() == 'full-content' ) {
	return;
}

$sidebar = '';
if ( factora_is_blog() || is_single() ) {
	$sidebar = 'blog-sidebar';
}

if ( factora_is_catalog() ) {
	$sidebar = 'catalog-sidebar';
}

if ( is_singular( 'product' ) ) {
	$sidebar = 'product-sidebar';
}

if ( ! is_active_sidebar( $sidebar ) ) {
	return;
}
$classes = array( 'col-md-3', 'col-sm-12', 'col-xs-12' );

if ( is_singular( 'service' ) ) {
	$sidebar = 'single-service-sidebar';
	$classes = array( 'col-md-4', 'col-sm-12', 'col-xs-12' );
}

$classes[] = $sidebar;
?>

<aside id="primary-sidebar" class="widget-area primary-sidebar <?php echo esc_attr( implode( ' ', $classes ) ); ?>">
	<?php dynamic_sidebar( $sidebar ); ?>
</aside><!-- #secondary -->
