<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Factora
 */


$job_name   = get_post_meta( get_the_ID(), 'job_name', true );
$job_rating = get_post_meta( get_the_ID(), 'job_rating', true );
$percent = $job_rating * 20;
?>

<article id="post-<?php the_ID(); ?>" class="testimonial-item">
    <div class="content">
        <div class="thumbnail"><?php echo get_the_post_thumbnail( get_the_ID(), 'thumbnail' ); ?></div>
        <div class="title">
			<?php the_title( '<h2 class="title-testimonial"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>
			<?php if ( ! empty( $job_name ) ) : ?>
                <span class="job">/ <?php echo  esc_html( $job_name ); ?></span>
			<?php endif; ?>
        </div>
        <div class="description">
			<?php factora_testimonial_entry_content(); ?>
        </div>
        <?php if($job_rating != 0) :?>
            <div class="star-rating">
                <span style="width:<?php echo esc_attr($percent); ?>%">
                    <strong class="rating"><?php echo esc_html($job_rating); ?></strong>
                </span>
            </div>
        <?php endif; ?>
		<?php factora_testimonial_icon(); ?>
    </div>
</article>
