<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Factora
 */

$css = 'blog-wrapper';

$blog_view = factora_get_option('blog_view');

if ($blog_view == 'grid'):
	$col = 12/factora_get_option('blog_grid_columns');
	$css .= ' blog-wrapper__grid col-flex-xs-12 col-flex-sm-6 col-flex-md-'.$col;
	$size = 'factora-blog-grid';
else:
	$css .= ' blog-wrapper__list';
	$size = 'factora-blog-list';
endif;

?>

<article id="post-<?php the_ID(); ?>" <?php post_class($css); ?>>
	<?php factora_post_thumbnail($size); ?>

	<div class="factora-post__entry-header">
		<div class="side-content">
			<?php if ($blog_view == 'grid'):
				factora_title();
				echo '<div class="list-meta">';
				echo get_avatar( get_the_author_meta( 'ID' ), 40 );
			endif;?>

				<?php factora_post_entry_meta(); ?>
				<?php if ($blog_view == 'list'): factora_title(); factora_post_entry_content(); endif;?>

			<?php if ($blog_view == 'grid'):
				echo '</div>';
			endif;?>
		</div>
		<?php if ($blog_view == 'list'): ?>
			<a href="<?php the_permalink()?>" class="read-more"><?php esc_html_e('Read more','factora')?> <i class="icon-chevron-right"></i></a>
		<?php endif; ?>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->
