<?php
/**
 * Template part for displaying the logo
 *
 * @package Factora
 */

$logo_type = factora_get_option( 'logo_type' );

if ( 'svg' == $logo_type ) :
	$logo = factora_get_option( 'logo_svg' );
else:
	$logo = factora_get_option( 'logo' );

	if ( ! $logo ) {
		$logo = $logo ? $logo : get_theme_file_uri( '/images/logo.png' );
	}

endif;
?>
<div class="site-branding">
    <a href="<?php echo esc_url( home_url() ) ?>" class="logo">
        <?php if ( 'svg' == $logo_type ) : ?>
            <img class="logo-svg" src="<?php echo esc_url( $logo ); ?>" alt="<?php echo get_bloginfo( 'name' ); ?>"/>
        <?php else : ?>
            <img src="<?php echo esc_url( $logo ); ?>" alt="<?php echo get_bloginfo( 'name' ); ?>"
                 class="logo-dark">
        <?php endif; ?>
    </a>

    <?php if ( is_front_page() && is_home() ) : ?>
        <h1 class="site-title">
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
        </h1>
    <?php else : ?>
        <p class="site-title">
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
        </p>
    <?php endif; ?>

    <?php if ( ( $description = get_bloginfo( 'description', 'display' ) ) || is_customize_preview() ) : ?>
        <p class="site-description"><?php echo wp_kses_post( $description ); /* WPCS: xss ok. */ ?></p>
    <?php endif; ?>
</div>
