<?php
/**
 * The template part for displaying related posts
 *
 * @package Factora
 */

// Only support posts
if ( 'post' != get_post_type() ) {
	return;
}

if ( ! intval( factora_get_option( 'related_posts' ) ) ) {
	return;
}

$layout = factora_get_option( 'single_post_layout' );

$css_class = 'blog-wrapper';
if ( $layout == 'full-content' ) {
	$css_class .= ' col-flex-md-4';

} else {
	$css_class .= ' col-flex-md-6';
}

$row = 'row-flex';

$numbers =  intval(factora_get_option( 'related_posts_numbers' ) );

if (intval(factora_get_option('show_carousel_related_posts')) == 1):
	$numbers_sh = intval(factora_get_option( 'related_posts_numbers_show' ));
	$css_class .= ' col-flex-md-'.(12/$numbers_sh);
	if ($numbers < $numbers_sh || $numbers_sh = 0 ): $css_class .= ' col-flex-md-'.(12/$numbers); endif;

	$row .= ' list-post';

endif;

$related_posts = new WP_Query(
	array(
		'posts_per_page'         => $numbers,
		'ignore_sticky_posts'    => 1,
		'category__in'           => wp_get_post_categories( get_the_ID() ),
		'post__not_in'           => array( get_the_ID() ),
		'no_found_rows'          => true,
		'update_post_term_cache' => false,
		'update_post_meta_cache' => false,
	)
);

$size = 'factora-related-post';

if ( ! $related_posts->have_posts() ) {
	return;
}

$count_text = intval( factora_get_option('excerpt_length_related_post') );
if ($count_text <= 0 ){
	$css_class .= ' no-content';
}
?>
	<div id ="factora-post__related" class="factora-post__related" data-number="<?php echo esc_attr(factora_get_option( 'related_posts_numbers_show' ))?>">
		<?php
		$related_posts_title = factora_get_option( 'related_posts_title' );
		if ( !empty( $related_posts_title ) ) :
			?>
			<h3 class="section-title"><?php echo esc_html($related_posts_title); ?></h3>
		<?php endif; ?>
		<div class=" <?php echo esc_attr($row)?> " >

		<?php while ( $related_posts->have_posts() ) : $related_posts->the_post(); ?>

			<article id="post-<?php the_ID(); ?>" <?php post_class( $css_class ); ?>>
				<?php if ( has_post_thumbnail() ) : ?>
					<div class="factora-post__entry-thumbnail">
						<?php
						if ( has_post_thumbnail() ) :
							printf(
								'<a class="widget-thumb" href="%s" title="%s">%s</a>',
								get_permalink(),
								get_the_title(),
								get_the_post_thumbnail( get_the_ID(), 'factora-blog-grid' )
							);
						endif; ?>
					</div>
				<?php endif; ?>
				<div class="factora-post__entry-header">
					<h3 class="title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
					<div class="list-meta">
						<?php echo get_avatar( get_the_author_meta( 'ID' ), 40 ); ?>
						<?php factora_post_entry_meta(); ?>
					</div>
				</div>
			</article><!-- #post-## -->
		<?php endwhile; ?>
		</div>
	</div>

<?php
wp_reset_postdata();