<?php
/**
 * Login Form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-login.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

do_action( 'woocommerce_before_customer_login_form' ); ?>

<div class="customer-login" id="customer_login">
    <div class="row">

        <div class="col-lg-6 col-md-8 col-lg-offset-3 col-md-offset-2 col-sm-12 col-xs-12 col-login">
            <div class="ft-tabs">
                <ul class="tabs-nav">
                    <li class="active"><a href="#" class="active"><?php esc_html_e( 'Login', 'factora' ); ?></a></li>
					<?php if ( esc_html( get_option( 'woocommerce_enable_myaccount_registration' ) ) === 'yes' ) : ?>
                        <li><a href="#"><?php esc_html_e( 'Register', 'factora' ); ?></a></li>
					<?php endif; ?>
                </ul>
                <div class="tabs-content">

                    <div class="tabs-panel active">
                        <h2><?php esc_html_e( 'Login your account', 'factora' ); ?></h2>

                        <form class="woocommerce-form woocommerce-form-login login" method="post">

							<?php do_action( 'woocommerce_login_form_start' ); ?>

                            <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                                <input type="text" class="woocommerce-Input woocommerce-Input--text input-text"
                                       placeholder="<?php esc_attr_e( 'Username', 'factora' ); ?>"
                                       name="username" id="username" autocomplete="username"
                                       value="<?php echo ( ! empty( $_POST['username'] ) ) ? esc_attr( wp_unslash( $_POST['username'] ) ) : ''; ?>"/><?php // @codingStandardsIgnoreLine ?>
                            </p>
                            <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                                <input class="woocommerce-Input woocommerce-Input--text input-text" type="password"
                                       placeholder="<?php esc_attr_e( 'Password', 'factora' ); ?>"
                                       name="password" id="password" autocomplete="current-password"/>

                                <a class="lost_password"
                                   href="<?php echo esc_url( wp_lostpassword_url() ); ?>"><?php esc_html_e( 'Forgot?', 'factora' ); ?></a>
                            </p>

							<?php do_action( 'woocommerce_login_form' ); ?>

                            <p class="form-row">
                                <label class="woocommerce-form__label woocommerce-form__label-for-checkbox inline">
                                    <input class="woocommerce-form__input woocommerce-form__input-checkbox"
                                           name="rememberme" type="checkbox" id="rememberme" value="forever"/>
                                    <span><?php esc_html_e( 'Remember me', 'factora' ); ?></span>
                                </label>

                            </p>

                            <p class="form-row">
								<?php wp_nonce_field( 'woocommerce-login', 'woocommerce-login-nonce' ); ?>
                                <button type="submit" class="woocommerce-Button button" name="login"
                                        value="<?php esc_attr_e( 'Log in', 'factora' ); ?>"><?php esc_html_e( 'Log in', 'factora' ); ?></button>

                            </p>


							<?php do_action( 'woocommerce_login_form_end' ); ?>

                        </form>
                    </div>

					<?php if ( esc_html( get_option( 'woocommerce_enable_myaccount_registration' ) ) === 'yes' ) : ?>


                        <div class="tabs-panel">
                            <h2><?php esc_html_e( 'Register An Account', 'factora' ); ?></h2>
                            <form method="post" class="woocommerce-form woocommerce-form-register register">

								<?php do_action( 'woocommerce_register_form_start' ); ?>
								<?php if ( 'no' === esc_html( get_option( 'woocommerce_registration_generate_username' ) ) ) : ?>

                                    <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                                        <input type="text" class="woocommerce-Input woocommerce-Input--text input-text"
                                               name="username" id="reg_username" autocomplete="username"
                                               placeholder="<?php esc_attr_e( 'Username', 'factora' ); ?>"
                                               value="<?php echo ( ! empty( $_POST['username'] ) ) ? esc_attr( wp_unslash( $_POST['username'] ) ) : ''; ?>"/><?php // @codingStandardsIgnoreLine ?>
                                    </p>

								<?php endif; ?>

                                <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                                    <input type="email" class="woocommerce-Input woocommerce-Input--text input-text"
                                           placeholder="<?php esc_attr_e( 'Email address', 'factora' ); ?>"
                                           name="email" id="reg_email" autocomplete="email"
                                           value="<?php echo ( ! empty( $_POST['email'] ) ) ? esc_attr( wp_unslash( $_POST['email'] ) ) : ''; ?>"/><?php // @codingStandardsIgnoreLine ?>
                                </p>

								<?php if ( 'no' === esc_html( get_option( 'woocommerce_registration_generate_password' ) ) ) : ?>

                                    <p class="woocommerce-form-row woocommerce-form-row--wide form-row form-row-wide">
                                        <input type="password"
                                               class="woocommerce-Input woocommerce-Input--text input-text"
                                               placeholder="<?php esc_attr_e( 'Password', 'factora' ); ?>"
                                               name="password" id="reg_password" autocomplete="new-password"/>
                                    </p>

								<?php endif; ?>

								<?php do_action( 'woocommerce_register_form' ); ?>

                                <p class="woocommerce-FormRow form-row">
									<?php wp_nonce_field( 'woocommerce-register', 'woocommerce-register-nonce' ); ?>
                                    <button type="submit" class="woocommerce-Button button" name="register"
                                            value="<?php esc_attr_e( 'Register', 'factora' ); ?>"><?php esc_html_e( 'Register', 'factora' ); ?></button>
                                </p>

								<?php do_action( 'woocommerce_register_form_end' ); ?>

                            </form>

                        </div>


					<?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>

<?php do_action( 'woocommerce_after_customer_login_form' ); ?>
