<?php
/**
 * My Account page
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/my-account.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.5.0
 */

defined( 'ABSPATH' ) || exit;

wc_print_notices();
$user = get_user_by( 'ID', get_current_user_id() );
?>

<div class="woocommerce-MyAccount-content">
    <div class="row">
        <div class="ft-account-sidebar">
            <ul class="ft-account-info">
                <li>
			        <?php echo get_avatar( get_current_user_id(), 150 ); ?>
                </li>
                <li>
			        <?php printf( '<span class="m-title">%s %s</span>', esc_html__( 'Hello!', 'factora' ), $user->display_name ); ?>
                </li>
            </ul>
			<?php
			/**
			 * My Account navigation.
			 * @since 2.6.0
			 */
			do_action( 'woocommerce_account_navigation' );

			?>
        </div>
        <div class="ft-account-content">
			<?php

			/**
			 * My Account content.
			 * @since 2.6.0
			 */
			do_action( 'woocommerce_account_content' );
			?>
        </div>

    </div>
</div>
