<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see        https://docs.woocommerce.com/document/template-structure/
 * @author        WooThemes
 * @package    WooCommerce/Templates
 * @version     3.9.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $related_products ) : ?>
	<?php
	$related_title = factora_get_option( 'related_products_title' );
	$columns       = intval( factora_get_option( 'related_products_columns' ) );
	?>
    <section id="factora-related-products" class="factora-related-products related products" data-columns="<?php echo esc_attr( $columns ); ?>">
		<?php
		if ( $titles = factora_get_option( 'related_products_title' ) ) {
			$title_arr = explode( '|', wp_kses( $titles, wp_kses_allowed_html( 'post' ) ) );
			$title     = '';
			if ( sizeof( $title_arr ) > 1 ) {
				$title = sprintf( '%s <span class="primary-color">%s</span>', $title_arr[0], $title_arr[1] );
			} elseif( is_array($title_arr) ) {
				$title = $title_arr[0];
			} else {
				$title = $title_arr;
			}

			echo sprintf( '<h2>%s</h2>', $title );
		}
		?>

		<?php woocommerce_product_loop_start(); ?>

		<?php foreach ( $related_products as $related_product ) : ?>

			<?php
			$post_object = get_post( $related_product->get_id() );

			setup_postdata( $GLOBALS['post'] =& $post_object );

			wc_get_template_part( 'content', 'product' ); ?>

		<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>

    </section>

<?php endif;

wp_reset_postdata();
